@echo off
::************************************************************
::
:: Windows command file to invoke PowerShell to run PS script
:: since SAS Workload Orchestrator does not run PS1 files
:: directly and because if it did, the PowerShell security
:: would need to be setup to run the sampleJobChangeScript
::
::************************************************************
set CMDPATH=%~dp0

:: Read the JSON from STDIN of this command script
set /p inputLine=""

:: Pipe the JSON to PowerShell's STDIN which will pipe it to the PS script's STDIN
echo %inputLine% | powershell -command "$Input | %CMDPATH%sampleJobChangeScript.ps1"
