#!/usr/bin/python
##************************************************************
##
## Example script to perform changes to a job request
##
## Pythn defaults to UTF-8 but if you do not have that set
## PYTHONIOENCODING to UTF-8
##
##************************************************************
import json
import sys
import codecs

#
# Read the job JSON from STDIN
#
job_json_text = sys.stdin.readline()

#
# Convert to JSON object
#
job_json = json.loads(job_json_text)

#
# Convert the JSON however you want
#
job_json['request']['queue']="priority"

#
# Output new JSON to STDOUT
#
print json.dumps(job_json, indent=4)


